Module java.desktop
Package javax.swing.plaf.basic

## Class BasicFileChooserUI.SelectionListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicFileChooserUI.SelectionListener

- All Implemented Interfaces:
    `EventListener`, `ListSelectionListener`
  Enclosing class:
    BasicFileChooserUI

      protected class BasicFileChooserUI.SelectionListener
      extends Object
      implements ListSelectionListener

  A selection listener.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SelectionListener()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.swing.event.ListSelectionListener

      `valueChanged`

- - ### Constructor Detail

    - #### SelectionListener

          protected SelectionListener()